summaryrefslogtreecommitdiffstats
path: root/dimension/tests/punctuation.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@gmail.com>2011-05-15 15:54:56 -0600
committerTavian Barnes <tavianator@gmail.com>2011-05-15 15:58:05 -0600
commita5a6b94c038e01ebf1e2de0a0774a69b02fb8e1e (patch)
tree66a4b977fff9f0119456b6c5a3398d25976f6c53 /dimension/tests/punctuation.sh
parent130cbc32499ade9235873bc5d575816f80636916 (diff)
downloaddimension-a5a6b94c038e01ebf1e2de0a0774a69b02fb8e1e.tar.xz
Group tests and benchmarks with the corresponding source code.
Diffstat (limited to 'dimension/tests/punctuation.sh')
-rwxr-xr-xdimension/tests/punctuation.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/dimension/tests/punctuation.sh b/dimension/tests/punctuation.sh
new file mode 100755
index 0000000..6990657
--- /dev/null
+++ b/dimension/tests/punctuation.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+#########################################################################
+# Copyright (C) 2009-2011 Tavian Barnes <tavianator@tavianator.com> #
+# #
+# This file is part of The Dimension Test Suite. #
+# #
+# The Dimension Test Suite is free software; you can redistribute it #
+# and/or modify it under the terms of the GNU General Public License as #
+# published by the Free Software Foundation; either version 3 of the #
+# License, or (at your option) any later version. #
+# #
+# The Dimension Test Suite is distributed in the hope that it will be #
+# useful, but WITHOUT ANY WARRANTY; without even the implied warranty #
+# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU #
+# General Public License for more details. #
+# #
+# You should have received a copy of the GNU General Public License #
+# along with this program. If not, see <http://www.gnu.org/licenses/>. #
+#########################################################################
+
+punctuation=$(${top_builddir}/dimension/dimension ${dimension_flags} --tokenize ${srcdir}/punctuation.pov)
+punctuation_exp='({ } \( \) [ ] + - * / , ; ? : & . | = < > ! <= >= !=)'
+
+if [ "$punctuation" != "$punctuation_exp" ]; then
+ echo "punctuation.pov tokenized as \"$punctuation\"" >&2
+ echo " -- expected \"$punctuation_exp\"" >&2
+ exit 1
+fi